# Enum Class VulkanImageLayout

java.lang.Object
java.lang.Enum<VulkanImageLayout>
com.io7m.jcoronado.api.VulkanImageLayout

All Implemented Interfaces:
  `VulkanEnumIntegerType, Serializable, Comparable<VulkanImageLayout>, Constable`

public enum VulkanImageLayout extends Enum<VulkanImageLayout> implements VulkanEnumIntegerType

See Also:
  - "VkImageLayout"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_IMAGE_LAYOUT_ATTACHMENT_FEEDBACK_LOOP_OPTIMAL_EXT`
  VK_IMAGE_LAYOUT_ATTACHMENT_FEEDBACK_LOOP_OPTIMAL_EXT
  `VK_IMAGE_LAYOUT_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_COLOR_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_COLOR_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_STENCIL_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_STENCIL_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_DEPTH_STENCIL_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_DEPTH_STENCIL_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_FRAGMENT_DENSITY_MAP_OPTIMAL_EXT`
  VK_IMAGE_LAYOUT_FRAGMENT_DENSITY_MAP_OPTIMAL_EXT
  `VK_IMAGE_LAYOUT_FRAGMENT_SHADING_RATE_ATTACHMENT_OPTIMAL_KHR`
  VK_IMAGE_LAYOUT_FRAGMENT_SHADING_RATE_ATTACHMENT_OPTIMAL_KHR
  `VK_IMAGE_LAYOUT_GENERAL`
  VK_IMAGE_LAYOUT_GENERAL
  `VK_IMAGE_LAYOUT_PREINITIALIZED`
  VK_IMAGE_LAYOUT_PREINITIALIZED
  `VK_IMAGE_LAYOUT_PRESENT_SRC_KHR`
  VK_IMAGE_LAYOUT_PRESENT_SRC_KHR
  `VK_IMAGE_LAYOUT_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_RENDERING_LOCAL_READ`
  VK_IMAGE_LAYOUT_RENDERING_LOCAL_READ
  `VK_IMAGE_LAYOUT_SHADER_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_SHADER_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_SHARED_PRESENT_KHR`
  VK_IMAGE_LAYOUT_SHARED_PRESENT_KHR
  `VK_IMAGE_LAYOUT_STENCIL_ATTACHMENT_OPTIMAL`
  VK_IMAGE_LAYOUT_STENCIL_ATTACHMENT_OPTIMAL
  `VK_IMAGE_LAYOUT_STENCIL_READ_ONLY_OPTIMAL`
  VK_IMAGE_LAYOUT_STENCIL_READ_ONLY_OPTIMAL
  `VK_IMAGE_LAYOUT_TRANSFER_DST_OPTIMAL`
  VK_IMAGE_LAYOUT_TRANSFER_DST_OPTIMAL
  `VK_IMAGE_LAYOUT_TRANSFER_SRC_OPTIMAL`
  VK_IMAGE_LAYOUT_TRANSFER_SRC_OPTIMAL
  `VK_IMAGE_LAYOUT_UNDEFINED`
  VK_IMAGE_LAYOUT_UNDEFINED
  `VK_IMAGE_LAYOUT_VIDEO_DECODE_DPB_KHR`
  VK_IMAGE_LAYOUT_VIDEO_DECODE_DPB_KHR
  `VK_IMAGE_LAYOUT_VIDEO_DECODE_DST_KHR`
  VK_IMAGE_LAYOUT_VIDEO_DECODE_DST_KHR
  `VK_IMAGE_LAYOUT_VIDEO_DECODE_SRC_KHR`
  VK_IMAGE_LAYOUT_VIDEO_DECODE_SRC_KHR
  `VK_IMAGE_LAYOUT_VIDEO_ENCODE_DPB_KHR`
  VK_IMAGE_LAYOUT_VIDEO_ENCODE_DPB_KHR
  `VK_IMAGE_LAYOUT_VIDEO_ENCODE_DST_KHR`
  VK_IMAGE_LAYOUT_VIDEO_ENCODE_DST_KHR
  `VK_IMAGE_LAYOUT_VIDEO_ENCODE_QUANTIZATION_MAP_KHR`
  VK_IMAGE_LAYOUT_VIDEO_ENCODE_QUANTIZATION_MAP_KHR
  `VK_IMAGE_LAYOUT_VIDEO_ENCODE_SRC_KHR`
  VK_IMAGE_LAYOUT_VIDEO_ENCODE_SRC_KHR

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanImageLayout`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanImageLayout[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_IMAGE_LAYOUT_UNDEFINED

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_UNDEFINED
    VK_IMAGE_LAYOUT_UNDEFINED

  - ### VK_IMAGE_LAYOUT_GENERAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_GENERAL
    VK_IMAGE_LAYOUT_GENERAL

  - ### VK_IMAGE_LAYOUT_COLOR_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_COLOR_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_COLOR_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_DEPTH_STENCIL_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_STENCIL_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_STENCIL_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_DEPTH_STENCIL_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_STENCIL_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_STENCIL_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_SHADER_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_SHADER_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_SHADER_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_TRANSFER_SRC_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_TRANSFER_SRC_OPTIMAL
    VK_IMAGE_LAYOUT_TRANSFER_SRC_OPTIMAL

  - ### VK_IMAGE_LAYOUT_TRANSFER_DST_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_TRANSFER_DST_OPTIMAL
    VK_IMAGE_LAYOUT_TRANSFER_DST_OPTIMAL

  - ### VK_IMAGE_LAYOUT_PREINITIALIZED

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_PREINITIALIZED
    VK_IMAGE_LAYOUT_PREINITIALIZED

  - ### VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_STENCIL_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_STENCIL_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_DEPTH_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_STENCIL_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_STENCIL_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_STENCIL_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_STENCIL_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_STENCIL_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_STENCIL_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_READ_ONLY_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_READ_ONLY_OPTIMAL
    VK_IMAGE_LAYOUT_READ_ONLY_OPTIMAL

  - ### VK_IMAGE_LAYOUT_ATTACHMENT_OPTIMAL

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_ATTACHMENT_OPTIMAL
    VK_IMAGE_LAYOUT_ATTACHMENT_OPTIMAL

  - ### VK_IMAGE_LAYOUT_RENDERING_LOCAL_READ

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_RENDERING_LOCAL_READ
    VK_IMAGE_LAYOUT_RENDERING_LOCAL_READ

  - ### VK_IMAGE_LAYOUT_PRESENT_SRC_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_PRESENT_SRC_KHR
    VK_IMAGE_LAYOUT_PRESENT_SRC_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_DECODE_DST_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_DECODE_DST_KHR
    VK_IMAGE_LAYOUT_VIDEO_DECODE_DST_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_DECODE_SRC_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_DECODE_SRC_KHR
    VK_IMAGE_LAYOUT_VIDEO_DECODE_SRC_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_DECODE_DPB_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_DECODE_DPB_KHR
    VK_IMAGE_LAYOUT_VIDEO_DECODE_DPB_KHR

  - ### VK_IMAGE_LAYOUT_SHARED_PRESENT_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_SHARED_PRESENT_KHR
    VK_IMAGE_LAYOUT_SHARED_PRESENT_KHR

  - ### VK_IMAGE_LAYOUT_FRAGMENT_DENSITY_MAP_OPTIMAL_EXT

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_FRAGMENT_DENSITY_MAP_OPTIMAL_EXT
    VK_IMAGE_LAYOUT_FRAGMENT_DENSITY_MAP_OPTIMAL_EXT

  - ### VK_IMAGE_LAYOUT_FRAGMENT_SHADING_RATE_ATTACHMENT_OPTIMAL_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_FRAGMENT_SHADING_RATE_ATTACHMENT_OPTIMAL_KHR
    VK_IMAGE_LAYOUT_FRAGMENT_SHADING_RATE_ATTACHMENT_OPTIMAL_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_ENCODE_DST_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_ENCODE_DST_KHR
    VK_IMAGE_LAYOUT_VIDEO_ENCODE_DST_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_ENCODE_SRC_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_ENCODE_SRC_KHR
    VK_IMAGE_LAYOUT_VIDEO_ENCODE_SRC_KHR

  - ### VK_IMAGE_LAYOUT_VIDEO_ENCODE_DPB_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_ENCODE_DPB_KHR
    VK_IMAGE_LAYOUT_VIDEO_ENCODE_DPB_KHR

  - ### VK_IMAGE_LAYOUT_ATTACHMENT_FEEDBACK_LOOP_OPTIMAL_EXT

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_ATTACHMENT_FEEDBACK_LOOP_OPTIMAL_EXT
    VK_IMAGE_LAYOUT_ATTACHMENT_FEEDBACK_LOOP_OPTIMAL_EXT

  - ### VK_IMAGE_LAYOUT_VIDEO_ENCODE_QUANTIZATION_MAP_KHR

    public static final VulkanImageLayout VK_IMAGE_LAYOUT_VIDEO_ENCODE_QUANTIZATION_MAP_KHR
    VK_IMAGE_LAYOUT_VIDEO_ENCODE_QUANTIZATION_MAP_KHR

- ## Method Details

  - ### values

    public static VulkanImageLayout[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanImageLayout valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant